# glance.common.scripts.utils module

class glance.common.scripts.utils.SafeRedirectHandler

  Bases: `HTTPRedirectHandler`

  HTTP redirect handler that validates redirect destinations.

  redirect_request(req, fp, code, msg, headers, newurl)

    Return a Request or None in response to a redirect.

    This is called by the http_error_30x methods when a redirection response is received. If a redirection should take place, return a new Request to allow http_error_30x to perform the redirect. Otherwise, raise HTTPError if no-one else should try to handle this url. Return None if you can’t but another Handler might.

glance.common.scripts.utils.get_image_data_iter(uri)

  Returns iterable object either for local file or uri

  Parameters:

    uri – uri (remote or local) to the datasource we want to iterate

  Validation/sanitization of the uri is expected to happen before we get here.

glance.common.scripts.utils.get_task(task_repo, task_id)

  Gets a TaskProxy object.

  Parameters:

    - task_repo – TaskRepo object used to perform DB operations

    - task_id – ID of the Task

glance.common.scripts.utils.set_base_image_properties(properties=None)

  Sets optional base properties for creating Image.

  Parameters:

    properties – Input dict to set some base properties

glance.common.scripts.utils.unpack_task_input(task)

  Verifies and returns valid task input dictionary.

  Parameters:

    task – Task domain object

glance.common.scripts.utils.validate_location_uri(location)

  Validate location uri into acceptable format.

  Parameters:

    location – Location uri to be validated

this page last updated: 2026-03-18 20:42:57

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug